'use strict';

var extractStats = require('rollup-plugin-stats/extract');
var transform = require('./transform.cjs');
require('path');
require('crypto');

const NAME = 'webpackStats';
const webpackStats = (options = {}) => ({
    name: NAME,
    generateBundle(outputOptions, bundle) {
        const resolvedOptions = typeof options === 'function' ? options(outputOptions) : options;
        const { excludeAssets, excludeModules, source, ...transformOptions } = resolvedOptions;
        const rollupStats = extractStats(bundle, { excludeAssets, excludeModules });
        const result = transform.bundleToWebpackStats(rollupStats, transformOptions);
        this.emitFile({
            type: 'asset',
            fileName: resolvedOptions.fileName || 'webpack-stats.json',
            source: JSON.stringify(result),
        });
    },
});

module.exports = webpackStats;
//# sourceMappingURL=index.cjs.map
