import extractStats from 'rollup-plugin-stats/extract';
import { bundleToWebpackStats } from './transform.mjs';
import 'path';
import 'crypto';

const NAME = 'webpackStats';
const webpackStats = (options = {}) => ({
    name: NAME,
    generateBundle(outputOptions, bundle) {
        const resolvedOptions = typeof options === 'function' ? options(outputOptions) : options;
        const { excludeAssets, excludeModules, source, ...transformOptions } = resolvedOptions;
        const rollupStats = extractStats(bundle, { excludeAssets, excludeModules });
        const result = bundleToWebpackStats(rollupStats, transformOptions);
        this.emitFile({
            type: 'asset',
            fileName: resolvedOptions.fileName || 'webpack-stats.json',
            source: JSON.stringify(result),
        });
    },
});

export { webpackStats as default };
//# sourceMappingURL=index.mjs.map
